- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::MathTools::CParameter Class Reference

Inheritance diagram for Exponent::MathTools::CParameter:

List of all members.

## Detailed Description

Maps a 0 - 1.0 double to a new range.

Date:
  13/11/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Added new static functions

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CParameter.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 38 of file CParameter.hpp.

## Public Member Functions

- CParameter (const double min, const double max, const double value)
- CParameter ()
- virtual double getValue () const
- virtual void getValue (CString &text) const
- virtual double setAndGetValue (const double value)
- virtual void setRange (const double min, const double max)
- virtual void setValue (const double value)
- virtual ~CParameter ()

## Static Public Member Functions

- static double doubleToDouble (const double min, const double max, const double value)
- static long doubleToLong (const long min, const long max, const double value)
- static double longToDouble (const long min, const long max, const long index)

## Protected Attributes

- double m_difference
- double m_max
- double m_min
- double m_out

## Constructor & Destructor Documentation

Exponent::MathTools::CParameter::CParameter | ( |  | ) |

Constructor

Exponent::MathTools::CParameter::CParameter | ( | const double | min,
|  | const double | max,
|  | const double | value |
| ) |  |  |

Construction

Parameters:

  | min | The min value
  | max | The max value
  | value | The value to convert

virtual Exponent::MathTools::CParameter::~CParameter | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

static double Exponent::MathTools::CParameter::doubleToDouble | ( | const double | min,
|  | const double | max,
|  | const double | value |
| ) |  |  | `[static]`

Convert a double to a differently mapped double range

Parameters:

  | min | The minimum value (negatives are acceptable)
  | max | The maximum value (negatives are acceptable)
  | value | The value to convert to the remapped value. must be in range 0 - 1

Return values:

  | double | The remapped value

static long Exponent::MathTools::CParameter::doubleToLong | ( | const long | min,
|  | const long | max,
|  | const double | value |
| ) |  |  | `[static]`

Covert a value to an integer

Parameters:

  | min | The minimum value (negatives are acceptable)
  | max | The maximum value (negatives are acceptable)
  | value | The value to convert to the index

Return values:

  | long | The converted index in range of min - max

virtual double Exponent::MathTools::CParameter::getValue | ( |  | ) | const`[virtual]`

Get the value

Return values:

  | double | The value

Deprecated:

virtual void Exponent::MathTools::CParameter::getValue | ( | CString & | text | ) | const`[virtual]`

Get the value

Parameters:

  | text | A text representation of the parameter

Deprecated:

static double Exponent::MathTools::CParameter::longToDouble | ( | const long | min,
|  | const long | max,
|  | const long | index |
| ) |  |  | `[static]`

Convert an integer to a value

Parameters:

  | min | The minimum value (negatives are acceptable)
  | max | The maximum value (negatives are acceptable)
  | index | The index to convert to the value

virtual double Exponent::MathTools::CParameter::setAndGetValue | ( | const double | value | ) | `[virtual]`

Set a new value and return the computed value

Parameters:

  | value | The value as a normalised 0 - 1 double

Return values:

  | double | The value computed

Deprecated:

virtual void Exponent::MathTools::CParameter::setRange | ( | const double | min,
|  | const double | max |
| ) |  |  | `[virtual]`

Set the range to map to

Parameters:

  | min | The min value that can be reached by the parameter
  | max | The max value that can be reached by the parameter

Deprecated:

Reimplemented in Exponent::MathTools::CExponentParameter.

virtual void Exponent::MathTools::CParameter::setValue | ( | const double | value | ) | `[virtual]`

Set the value

Parameters:

  | value | The value as a normalised 0 - 1 double

Deprecated:

Reimplemented in Exponent::MathTools::CExponentParameter.

## Member Data Documentation

double Exponent::MathTools::CParameter::m_difference`[protected]`

The difference

Definition at line 144 of file CParameter.hpp.

double Exponent::MathTools::CParameter::m_max`[protected]`

The max value

Definition at line 143 of file CParameter.hpp.

double Exponent::MathTools::CParameter::m_min`[protected]`

The min value

Definition at line 142 of file CParameter.hpp.

double Exponent::MathTools::CParameter::m_out`[protected]`

The output value

Definition at line 141 of file CParameter.hpp.